- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EvaluatorCacheT< EVALUATOR >::Entry Struct Reference

`#include <mesh.h>`

## Public Member Functions
| Entry (BufferDescriptor const &srcDescArg, BufferDescriptor const &dstDescArg, BufferDescriptor const &duDescArg, BufferDescriptor const &dvDescArg, EVALUATOR *evalArg)

## Public Attributes
BufferDescriptor | srcDesc
BufferDescriptor | dstDesc
BufferDescriptor | duDesc
BufferDescriptor | dvDesc
EVALUATOR * | evaluator

## Detailed Description

### template<typename EVALUATOR>
struct OpenSubdiv::OPENSUBDIV_VERSION::Osd::EvaluatorCacheT< EVALUATOR >::Entry

Definition at line 175 of file mesh.h.

## Constructor & Destructor Documentation

Entry | ( | BufferDescriptor const & | srcDescArg,
|  | BufferDescriptor const & | dstDescArg,
|  | BufferDescriptor const & | duDescArg,
|  | BufferDescriptor const & | dvDescArg,
|  | EVALUATOR * | evalArg
| ) |  |
| inline

Definition at line 176 of file mesh.h.

## Member Data Documentation

BufferDescriptor dstDesc

Definition at line 182 of file mesh.h.

BufferDescriptor duDesc

Definition at line 182 of file mesh.h.

BufferDescriptor dvDesc

Definition at line 182 of file mesh.h.

EVALUATOR* evaluator

Definition at line 183 of file mesh.h.

BufferDescriptor srcDesc

Definition at line 182 of file mesh.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/mesh.h